body {
    margin: 0;
    font-family: 'Monserrat', sans-serif;
    color: #333;
    text-align: center;
}

.header {
    position: relative;
    width: 100%;
    height: 100vh;
    background-image: url('Imagenes/DSC05136 (1).jpg');
    background-size: cover;
    background-position: center;
    color: rgb(227, 182, 0);
}

.header::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgb(255, 255, 255);
}

.content {
    position: relative;
    top: 50%;
    transform: translateY(-50%);
}

.gif-left, .gif-right {
    width: 400px;
    height: auto;
    position: relative;
    z-index: 10;
}

.gif-left {
    margin-right: 100%;
}

.gif-right {
    margin-left: 75%;
}

h1 {
    margin: 0;
    font-size: 5rem;
    font-weight: normal;
    font-family: 'Great Vibes', cursive;
}

h2 {
    margin: 0;
    font-size: 4rem;
    font-weight: normal;
    font-family: 'Great Vibes', cursive;
}

h3 {
    margin: 0;
    font-size: 2.5rem;
    font-weight: normal;
}

nav {
    position: absolute;
    top: 20px;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

nav ul {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
}

nav ul li {
    margin: 0 15px;
}

nav ul li a {
    color: white;
    text-decoration: none;
    font-size: 1rem;
}

.menu-toggle {
    display: none;
    cursor: pointer;
    font-size: 2rem;
    color: white;
}

.invitation {
    padding: 20px;
    background-color: white;
    color: #333;
}

.invitation h1 {
    font-size: 2rem;
    margin-bottom: 10px;
}

.invitation h2 {
    font-size: 2.5rem;
    color: #DAA520;
}

.countdown {
    position: relative;
    width: 100%;
    height: 50vh;
    background-image: url('Imagenes/DSC05221.jpg');
    background-size: cover;
    background-position: center;
    color: white;
}

.countdown::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
}

.countdown-content {
    position: relative;
    top: 50%;
    transform: translateY(-50%);
}

.countdown h1 {
    margin: 0;
    font-size: 3rem;
    font-weight: normal;
    font-family: 'Great Vibes', cursive;
}

.countdown h3 {
    margin: 10px 0;
    font-size: 1.5rem;
}

.timer {
    display: flex;
    justify-content: center;
    font-size: 1.5rem;
}

.timer div {
    margin: 0 10px;
}

.event-info {
    padding: 20px;
    background-color: white;
    color: #333;
    text-align: center;
}

.event-info h1 {
    font-size: 2.5rem;
    color: #DAA520;
    font-family: 'Great Vibes', cursive;
}

.event-info p {
    font-size: 1.2rem;
}

.event-cards {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    margin-top: 20px;
}

.event-card {
    background-color: #f9f9f9;
    border: 1px solid #ddd;
    border-radius: 8px;
    margin: 10px;
    padding: 20px;
    width: 300px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.event-card h2 {
    font-size: 1.8rem;
    color: #DAA520;
    font-family: 'Great Vibes', cursive;
}

.event-card p {
    font-size: 1rem;
    color: #666;
}

.map-button {
    display: inline-block;
    margin-top: 10px;
    padding: 10px 20px;
    background-color: #DAA520;
    color: white;
    text-decoration: none;
    border-radius: 5px;
    transition: background-color 0.3s;
}

.map-button:hover {
    background-color: #b18e17;
}

.gifts {
    padding: 20px;
    background-color: #f4e3e3;
    color: #333;
    text-align: center;
}

.gifts h1 {
    font-size: 2.5rem;
    color: #DAA520;
    font-family: 'Great Vibes', cursive;
}

.gifts p {
    font-size: 1.2rem;
}

.lodging {
    padding: 20px;
    background-color: #d3a475;
    color: #333;
    text-align: center;
}

.lodging h1 {
    font-size: 2.5rem;
    color: white;
    font-family: 'Great Vibes', cursive;
}

.lodging p {
    font-size: 1.2rem;
    color: white;
}

.confirmation h2 {
    font-size: 2.5rem;
    color: #DAA520;
    font-family: 'Great Vibes', cursive;
}

.gallery {
    padding: 20px;
    background-color: white;
    color: #333;
    text-align: center;
}

.gallery h1 {
    font-size: 2.5rem;
    color: #DAA520;
    font-family: 'Great Vibes', cursive;
}

.gallery p {
    font-size: 1.2rem;
    margin-bottom: 20px;
}

.carousel {
    position: relative;
    width: 100%;
    max-width: 600px;
    margin: auto;
    overflow: hidden;
}

.carousel-inner {
    display: flex;
    transition: transform 0.5s ease;
}

.carousel-item {
    min-width: 100%;
    box-sizing: border-box;
    opacity: 0;
    transition: opacity 0.5s ease;
}

.carousel-item.active {
    opacity: 1;
}

.carousel-item img {
    width: 100%;
    display: block;
}

.carousel-control {
    position: absolute;
    top: 50%;
    width: auto;
    padding: 10px;
    color: black;
    font-weight: bold;
    font-size: 18px;
    cursor: pointer;
    user-select: none;
    transform: translateY(-50%);
    background-color: rgba(255, 255, 255, 0.5);
    border-radius: 50%;
}

.carousel-control.prev {
    left: 0;
}

.carousel-control.next {
    right: 0;
}

.footer {
    padding: 20px;
    background-color: white;
    color: #333;
    text-align: center;
}

.footer p {
    font-size: 1rem;
    margin: 0;
}

.social-icons {
    margin-top: 10px;
}

.social-icons a {
    color: #d3a475;
    text-decoration: none;
    margin: 0 10px;
    font-size: 1.5rem;
    transition: color 0.3s;
}

.social-icons a:hover {
    color: #b18e17;
}

@media (max-width: 768px) {
    .gif-left, .gif-right {
        width: 300px;
        height: auto;
        position: relative;
        z-index: 10;
    }

    .timer{
        font-size: 0.7rem;
    }
    
    .gif-left {
        margin-right: 0%;
      
    }
    
    .gif-right {
        margin-left: 0%;
    }

    .invitation h1{
        font-size: 1.5rem;
    }

    .content h1 {
        font-size: 2.5rem;
    }

    .content h2 {
        font-size: 2rem;
    }

    .content h3 {
        font-size: 1.5rem;
    }

    .menu-toggle {
        display: block;
    }

    .nav {
        display: none;
    }

    .nav.active {
        display: flex;
        flex-direction: column;
        position: absolute;
        top: 60px;
        left: 0;
        width: 100%;
        background-color: rgba(0, 0, 0, 0.448);
    }

    .nav li {
        margin: 0px 0;
    }

    .nav li a {
        color: white;
        font-size: 0.8rem;
        font-family: "Helvetica";
    }
}

.container {
    background: #fff;
    padding: 30px;
    box-shadow: 0 4px 20px rgba(0, 0, 0, 0.1);
    border-radius: 10px;
    max-width: 500px;
    margin: 0 auto;
    transition: all 0.3s ease;
}

.container:hover {
    box-shadow: 0 8px 30px rgba(0, 0, 0, 0.2);
}

form {
    display: flex;
    flex-direction: column;
    gap: 20px;
    align-items: center;
}

label {
    font-size: 1rem;
    color: #4a4a4a;
    text-align: left;
    margin-bottom: 5px;
    width: 100%;
    max-width: 400px;
}

.input-container {
    width: 100%;
    max-width: 400px;
    position: relative;
}

input[type="number"], input[type="text"] {
    padding: 10px;
    font-size: 1rem;
    border: 1px solid #ddd;
    border-radius: 5px;
    width: 100%;
    box-sizing: border-box;
    transition: border-color 0.3s ease, box-shadow 0.3s ease;
}

input[type="number"]:focus, input[type="text"]:focus {
    border-color: #e1a442;
    box-shadow: 0 0 5px rgba(225, 164, 66, 0.5);
    outline: none;
}

.suggestions-list {
    list-style: none;
    padding: 0;
    margin: 0;
    max-height: 150px;
    overflow-y: auto;
    border: 1px solid #ddd;
    border-radius: 5px;
    background: white;
    width: 100%;
    position: absolute;
    top: 100%;
    left: 0;
    z-index: 1000;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    box-sizing: border-box;
}

.suggestions-list li {
    padding: 10px;
    cursor: pointer;
    transition: background 0.3s ease;
    font-size: 1rem;
}

.suggestions-list li:hover {
    background: #f0f0f0;
}

.radio-group {
    display: flex;
    align-items: center;
    gap: 10px;
    width: 100%;
    max-width: 400px;
    justify-content: flex-start;
}

.radio-group input {
    margin-right: 10px;
}

button {
    padding: 15px 20px;
    font-size: 1rem;
    color: white;
    background-color: #e1a442;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s ease;
    width: 100%;
    max-width: 400px;
    box-sizing: border-box;
}

button:hover {
    background-color: #c18a2a;
}
